Upgrade 3.x -> 4.x Procedure

  • Is there a step by step procedure guide to upgrade 3.x -> 4.x?


    I am hoping to ssh into my 3.x OMV and run a command. Is it that simple?
    Does my 4.x bootable flashdrive installer have an upgrade option?


    Thanks

    Retiring OMV 4.x on intel
    Building OMV 5.x on AMD based Dell R5715

  • The upgrade procedure was that simple for me on the AMD64 version of OMV 3.x. In the terminal as root:


    omv-release-upgrade


    But preparing for the upgrade is not so simple.


    1) If you do not have a verified to be restorable backup of your current system and you attempt the upgrade anyway, you might be making a serious mistake, with no way to recover. There is no downgrade path, and even if there was it wouldn't work on a botched upgraded and smashed installation.


    2) Prior to upgrading you must identify and remove every OMV 3.x plugin you have installed that does not have an equivalent plugin for OMV 4. Additionally, you should research how you are going to install and configure any needed programs that have no available plugins. If you can't live without any of those programs and have no known way to get them installed and working on the upgrade, then you probably don't want to upgrade.


    I had no difficulties upgrading from 3.x to 4.x, but I was well prepared.


    Upgrading from 2.x to 3.x was another story though, and a major effort that took several tries. Without a known to be restorable backup (that I needed to use several times) I would have been hosed.


    Good luck.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

  • Fresh upgrade, and now I'm getting errors on apt update

  • Fresh upgrade, and now I'm getting errors on apt update

    What happens if you (temporarily) remove the files from /etc/apt/sources.list.d since it seems you have two locations where packages are listed.

    Server 1: Tranquil SQA-5H modded - OMV Arrakis :thumbsup:
    Server 2: Homebrew server - Ubuntu 16.04 with webmin
    Server 3: Synology DS215+
    Server 4: Synology DS211
    ...and some client devices to justify the servers 8o

  • @mrshlee


    This is a known problem and has nothing to do with OMV. It's just a problem of python3.5. Here is the solution to fix it (just use the second link in this thread).

    OMV-Server-HW: MoBo Fujitsu D3417-B2 (Intel-LAN), Intel Xeon E3-1245 v6 Kaby Lake (4x3.70GHz), 16GB-Ram ECC UDIMM, 1x512GB SSD Samsung 850 Pro (sda2 - 30GB system, 4GB swap, sda5/rest - for work), 1x 10TB WD Red Pro, 1x 3TB WD Red (both basic setup) - Digibit R1 Sat-IP-Server with SatIP-Axe-Firmware


    OMV-Server-SW: Debian Buster with Proxmox kernel (always up-to-date), OMV v5 (always latest), omv-extras-plugin (always latests), AutoShutdown-Plugin, Docker with PlexMediaServer, TVHeadend, any many more


    BackupServer: Synology DS1010+ with 4GB Ram, 9TB@SHR (different hdd's), DSM 5.2-5967-2

  • Code
    W: Target Packages (main/binary-armhf/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list.d/openmediavault-kernel-backports.list:1
    W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list.d/openmediavault-kernel-backports.list:1
    W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list.d/openmediavault-kernel-backports.list:1
    W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:7 and /etc/apt/sources.list.d/openmediavault-kernel-backports.list:1

    Fresh upgrade, and now I'm getting errors on apt update

    I'm getting the Target Packages and Target Translations errors as well. Would it be better to comment the line out of /etc/apt/sources.list or delete the openmediavault-kernel-backports.list file from /etc/apt/sources.list.d (or any other solution to end the duplication warnings?)

    OMV 4.1.22-1 Arrakis | Odroid XU4Q | armhf-gang | docker noob

  • Would it be better to comment the line out of /etc/apt/sources.list

    This. The other file is automatically generated (although there is a way to disable it).

    omv 5.6.12 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • i just tried omv-release-upgrade

    Code
    root@server:~# omv-release-upgrade
    Upgrading system to 4.0 (Arrakis) ...
    ERROR: The script '/usr/share/openmediavault/mkconf/omvextrasorg' does not exist
    run-parts: /tmp/tmp.5pzwQaIwWR/pre.d/21-update-omvextrasorg exited with return code 100


    any idea how to resolve the issue?



    Code
    root@server:~# dpkg -l | grep openm
    ii openmediavault 3.0.98 all Open network attached storage solution
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-letsencrypt 3.4.5 all Generate free and valid SSL certificates for OMV
    ii openmediavault-omvextrasorg 3.4.25 all OMV-Extras.org Package Repositories for OpenMediaVault
    ii openmediavault-transmissionbt 3.0.9 all OpenMediaVault Transmission (BitTorrent client) plugin.
    ii openmediavault-webdav 3.0.3 all OpenMediaVault WebDAV plugin.
  • any idea how to resolve the issue?

    ln -s /usr/share/openmediavault/mkconf/omvextras /usr/share/openmediavault/mkconf/omvextrasorg


    But I don't know what or why that is being called.

    omv 5.6.12 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Hallo.
    Ich benutze ein Raspberry Pi 3: 4.9.80-v7+ #1098 SMP Fri Mar 9 19:11:42 GMT 2018 armv7l GNU/Linux


    Gestern habe ich ein Upgrade von OMV3 (OMV_3_0_88_RaspberryPi_2_3_4.9.41.img.xz) auf OMV4 mit omv-release-upgrade durchgeführt. Nach anfangs Schwierigkeiten (z.B. "502 Bad Gateway / nginx") habe ich es geschafft auf OMVGUI zuzugreifen. Bis jetzt laufen alle meine Dienste ohne Fehle, kurzer Test.


    Ich habe aber ein Problem nach der Ausführung apt-get update:



    Bitte helfen Sie mir den Fehler zu beheben ich bin verzweifelt
    Vielen Dank

  • Du musst dich mit SSH oder lokal einloggen und in der Datei /etc/apt/sources.list ein paar Zeilen für das backports repository entfernen, welche nun automatisch in /etc/apt/sources.list.d/openmediavault-kernel-backports.list gepflegt werden.


    Guß
    David

    "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"


    Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.

    Upload Logfile via WebGUI/CLI
    #openmediavault on freenode IRC | German & English | GMT+1
    Absolutely no Support via PM!

  • hi,


    I use OpenMediaVault since a few couples of months on a few homemade NAS (with raid cards), and i love it.


    But today, i had a strange idea to migrate to OMV4.0 lol. Not all my nas, but my first one which has been set with OMV3.x one year ago.


    This first NAS runs under openmediavault 3.0.99 without any problem, very stable. I use HP Smart array p410i inside (it was for testing, but it works so good, i keep it).


    Today i follow some topics here to upgrade to OMV 4.0 (from OMV3.0.99). But like some users, there is a lot of issues, problems to migrate. it 's time to have a really true dashboard on this forum, when we look for something like upgrade... we get a lot of results but not the 1st of all, how to upgrade ^^ oh, yes, we found it, but after a long long reading, it is another subject :)



    1° on OMV3, i uninstall all plugins, and omv-extras
    2° i shutdown the HP microserv gen8 1610t
    3° i start the gen8
    4° i connect to ssh and run "omv-release-upgrade"


    and then, issue with "weakref.py", with Python 3.5. But OMV4 is working, all my shares are available.


    5° i run some updates from webgui, and apply refresh as required.
    6° i install omv-extras (some troubles with their guide/procedure, links to talk about issue on omv-extras are wrong, or have been moved) - it is another subject too ^^


    this is not the right command =

    Code
    wget http://omv-extras.org/openmediavault-omvextrasorg_latest_all4.deb
    dpkg -i openmediavault-omvextrasorg_latest_all4.deb


    The right command to install omv extras 4 for OMV4 is:



    Code
    wget -O - http://omv-extras.org/install | bash


    7° some issues for OMV-extras , i run a few of updates and clean from OMV webgui and also from ssh


    Code
    apt-get update && apt-get -y upgrade
    apt-get clean && apt-get autoclean

    8° now, from OMV-extras plugins or from Update management, i have theses errors:

    Code
    Reading package lists...
    W: GPG error: http://downloads.linux.hpe.com/SDR/downloads/MCP/Debian jessie/current Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY xxxxxxxxxxxxx
    W: The repository 'http://downloads.linux.hpe.com/SDR/downloads/MCP/Debian jessie/current Release' is not signed.


    if i want to use HWraid plugin from OMV-extras, there is an issue with unsigned repository (i don't understand why omv-extras4 wants to load a Jessie package for Stretch Debian)


    i have a few and more important NAS under OMV 3.0.99 and HP raid sas card and i think, there will be not OMV 4.0 until this one will be stable, with no error.



    For now, i have to fix "weakref.py" issue with old python values, and disabled HPraid plugin on OMV-extras.



    Another thing, present on OMV3 and also on OMV4:


    under Chrome and under Firefox, without special plugin, the connection page displays box in wrong size, with scroollbar, never in full size. (there is no zoom or unzoom, zoom = 100%)



    OMV 3.0.99 (Erasmus)


    OMV 4.1.4-1 (Arrakis)


    Under Firefox, with 90% zoom or 100%, this OMV4 has not the same issue. But under OMV3, yes.



    Notifications:
    After being connected on OMV webgui, i receive email. I can't find out where notification setup is. On OMV3, it seems to be lost somewhere, too. In Notification page, there is not an available setting to do that.
    If you have some idea.



    Thanks guys.

  • i uninstall all plugins, and omv-extras

    This isn't completely necessary on the OMV 3.x -> 4.x upgrade. Only the plugins that haven't been ported to OMV 4.x should be removed.

    issue with "weakref.py", with Python 3.5.

    This is a python but and known issue but it doesn't not cause any problems.


    this is not the right command =

    actually it works fine since the script basically does the same thing. I wrote the script to eliminate people downloading the wrong version.


    if i want to use HWraid plugin from OMV-extras, there is an issue with unsigned repository (i don't understand why omv-extras4 wants to load a Jessie package for Stretch Debian)

    This repo is empty in OMV 4.x. The jessie repo must be leftover from your 3.x install.

    never in full size. (there is no zoom or unzoom, zoom = 100%)

    Seems like a browser cache issue.

    omv 5.6.12 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Thanks for your answer, @ryecoaaron


    About browser, it is not a cache issue, i have already cleaned the cache a lot of times before i wrote this, here. But i can do it again to be sure :D


    About HWraid and jessie repo. How can i do that "from my 3.x install" ? manually ? Would you write this here as an example ?


    Thanks


    Python issue has been fixed with this:


    edit: i follow Chrome cache cleaning on Chrome help page, all period, all informations. Same thing.



    OMV-Extras: after disabling HWraid plugin, there is a new error message "failed", impossible to validate, accept, undo, something is going wrong with this plugin. i quit the webgui and i shutdown the nas. OMV 4.1.x is not for me.
    All is standard on this NAS, i don't understand why i have so much error messages.


    Python, OMV-extras, HWraid, Notifications out, mails not sent (I'm sorry to have to inform you that your message could not be delivered to one or more recipients. It's attached below. For further assistance, please send mail to postmaster. If you do so, please include this problem report. You can delete your own text from the attached returned message. The mail system)...
    What is happening with this new version... 4 hours to do this upgrade...

  • About browser, it is not a cache issue, i have already cleaned the cache a lot of times before i wrote this, here

    After looking at the pictures again, it is a translation issue due to very long string causing the scroll bars to appear. Not sure how to fix that one.


    About HWraid and jessie repo. How can i do that "from my 3.x install" ? manually ? Would you write this here as an example ?

    Not sure what you are asking but what is the output of: grep -ri jessie /etc/apt/*


    there is a new error message "failed", impossible to validate, accept, undo, something is going wrong with this plugin

    What is the error? All omv-extras does is add repos. I don't know how it can be doing so many things wrong.

    All is standard on this NAS, i don't understand why i have so much error messages.

    Try a fresh install is all I can recommend.

    What is happening with this new version... 4 hours to do this upgrade...

    Sorry, something is either wrong with your 3.x system or you are doing something wrong. I can upgrade a system in 10 or 15 minutes.

    omv 5.6.12 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • i will do what you propose tomorrow after a good night.
    i spent 4 hours since i run upgrade, but omv4 works in fact 20' after run'ing the upgrade. it 's just me who spent time to understand what happened.
    omv extras adds only repo ? ok
    how can i add hwraid on omv4 ?
    my nas seems working correctly, sharing, ftp, ssh. just as i want. i need just hpraid information. i can wait next upgrade or a ssh solution.
    thanks again for your help


    edit:


    1st answer= grep -ri jessie /etc/apt/*

    Code
    root@Genna-Gen8:/usr/lib/python3.5# grep -ri jessie /etc/apt/*
    /etc/apt/sources.list.d/HP-proliant.list:deb http://downloads.linux.hpe.com/SDR/downloads/MCP/Debian/ jessie/current non-free
    Fichier binaire /etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg correspondant
    Fichier binaire /etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg correspondant
    Fichier binaire /etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg correspondant

    I have a new question about key:


    do i have to import these pub key from HPE into my system to avoid the "HP unsigned" error message ? http://downloads.linux.hpe.com/keys.html


    and here is what i do for this question:


    1° run apt-key list to see what are the installed keys
    2° install curl apt install curl
    3° import the HP pub key with
    curl http://downloads.linux.hpe.com/SDR/hpPublicKey1024.pub | apt-key add -
    curl http://downloads.linux.hpe.com/SDR/hpPublicKey2048.pub | apt-key add -
    curl http://downloads.linux.hpe.com/SDR/hpPublicKey2048_key1.pub | apt-key add -
    curl http://downloads.linux.hpe.com/SDR/hpePublicKey2048_key1.pub | apt-key add -
    4° see the pub key after running this apt-key list


    i go back to my OMV webgui to see if OMV-extras accepts update and HWraid... no error from unsigned but package not found ...
    (impossible to select text in "Checking for new update" window )


    is it possible to have HWraid plugin in OMV 4 ?


    if not, i will use SSH and apt install hp-health ssacli and the 2 following commands ssacli ctrl all show config and ssacli ctrl all show config detail

  • /etc/apt/sources.list.d/HP-proliant.list

    I don't know what or who added this file but omv-extras did not add it. You need to either change the reference to jessie to stretch (no idea if this works) or remove this file.

    go back to my OMV webgui to see if OMV-extras accepts update and HWraid..

    Disable the hwraid repo in omv-extras. There is no plugins in it.

    is it possible to have HWraid plugin in OMV 4 ?

    I haven't tried it and I don't have hardware to test. Can you install it? Maybe.

    omv 5.6.12 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!